---
title: MathML element reference
slug: Web/MathML/Element
tags:
  - MathML
  - MathML Reference
---
<p>{{MathMLRef}}</p>

<p>This is an alphabetical list of MathML <strong>presentation</strong> elements.</p>

<p>The term <strong>presentation markup</strong> is used to describe the layout structure of mathematical notation whereas <strong>content markup</strong> provides the underlying mathematical meaning and is not supposed to be rendered by the MathML parser (see {{ bug(276028) }}). If you want to learn more about content markup you should consider <a class="external" href="http://www.w3.org/TR/MathML3/chapter4.html">Chapter 4</a> in the <a class="external" href="http://www.w3.org/TR/MathML3/">MathML 3 specification</a>.</p>

<p>MathML elements implement the {{domxref("MathMLElement")}} class.</p>

<h2 id="MathML_presentation_elements_A_to_Z">MathML presentation elements A  to Z</h2>

<div class="multiColumnList">
<h3 id="math">math</h3>

<ul>
 <li>{{MathMLElement("math")}} (Top-level element)</li>
</ul>

<h3 id="A">A</h3>

<ul>
 <li>{{MathMLElement("maction")}} (Binded actions to sub-expressions)</li>
 <li>{{MathMLElement("maligngroup")}} (Alignment group)</li>
 <li>{{MathMLElement("malignmark")}} (Alignment points)</li>
</ul>

<h3 id="E">E</h3>

<ul>
 <li>{{MathMLElement("menclose")}} (Enclosed contents)</li>
 <li>{{MathMLElement("merror")}} (Enclosed syntax error messages)</li>
</ul>

<h3 id="F">F</h3>

<ul>
 <li>{{MathMLElement("mfenced")}} (Parentheses) {{deprecated_inline}}</li>
 <li>{{MathMLElement("mfrac")}} (Fraction)</li>
</ul>

<h3 id="G">G</h3>

<ul>
 <li>{{MathMLElement("mglyph")}} (Displaying non-standard symbols)</li>
</ul>

<h3 id="I">I</h3>

<ul>
 <li>{{MathMLElement("mi")}} (Identifier)</li>
</ul>

<h3 id="L">L</h3>

<ul>
 <li>{{MathMLElement("mlabeledtr")}} (Labeled row in a table or a matrix)</li>
 <li>{{MathMLElement("mlongdiv")}} (Long division notation)</li>
</ul>

<h3 id="M">M</h3>

<ul>
 <li>{{MathMLElement("mmultiscripts")}} (Prescripts and tensor indices)</li>
</ul>

<h3 id="N">N</h3>

<ul>
 <li>{{MathMLElement("mn")}} (Number)</li>
</ul>

<h3 id="O">O</h3>

<ul>
 <li>{{MathMLElement("mo")}} (Operator)</li>
 <li>{{MathMLElement("mover")}} (Overscript)</li>
</ul>

<h3 id="P">P</h3>

<ul>
 <li>{{MathMLElement("mpadded")}} (Space around content)</li>
 <li>{{MathMLElement("mphantom")}} (Invisible content with reserved space)</li>
</ul>

<h3 id="R">R</h3>

<ul>
 <li>{{MathMLElement("mroot")}} (Radical with specified index)</li>
 <li>{{MathMLElement("mrow")}} (Grouped sub-expressions)</li>
</ul>

<h3 id="S">S</h3>

<ul>
 <li>{{MathMLElement("ms")}} (String literal)</li>
 <li>{{MathMLElement("mscarries")}} (Annotations such as carries)</li>
 <li>{{MathMLElement("mscarry")}} (Single carry, child element of {{MathMLElement("mscarries")}})</li>
 <li>{{MathMLElement("msgroup")}} (Grouped rows of {{MathMLElement("mstack")}} and {{MathMLElement("mlongdiv")}} elements)</li>
 <li>{{MathMLElement("msline")}} (Horizontal lines inside {{MathMLElement("mstack")}} elements)</li>
 <li>{{MathMLElement("mspace")}} (Space)</li>
 <li>{{MathMLElement("msqrt")}} (Square root without an index)</li>
 <li>{{MathMLElement("msrow")}} (Rows in {{MathMLElement("mstack")}} elements)</li>
 <li>{{MathMLElement("mstack")}} (Stacked alignment)</li>
 <li>{{MathMLElement("mstyle")}} (Style change)</li>
 <li>{{MathMLElement("msub")}} (Subscript)</li>
 <li>{{MathMLElement("msup")}} (Superscript)</li>
 <li>{{MathMLElement("msubsup")}} (Subscript-superscript pair)</li>
</ul>

<h3 id="T">T</h3>

<ul>
 <li>{{MathMLElement("mtable")}} (Table or matrix)</li>
 <li>{{MathMLElement("mtd")}} (Cell in a table or a matrix)</li>
 <li>{{MathMLElement("mtext")}} (Text)</li>
 <li>{{MathMLElement("mtr")}} (Row in a table or a matrix)</li>
</ul>

<h3 id="U">U</h3>

<ul>
 <li>{{MathMLElement("munder")}} (Underscript)</li>
 <li>{{MathMLElement("munderover")}} (Underscript-overscript pair)</li>
</ul>

<h3 id="Other_elements">Other elements</h3>

<ul>
 <li>{{MathMLElement("semantics")}} (Container for semantic annotations)</li>
 <li><a href="/en-US/docs/Web/MathML/Element/semantics#annotation"><code>&lt;annotation&gt;</code></a> (Data annotations)</li>
 <li><a href="/en-US/docs/Web/MathML/Element/semantics#annotation-xml"><code>&lt;annotation-xml&gt;</code></a> (XML annotations)</li>
</ul>
</div>

<h2 id="MathML_presentation_elements_by_category">MathML presentation elements by category</h2>

<h3 id="Top-level_elements">Top-level elements</h3>

<ul>
 <li>{{MathMLElement("math")}}</li>
</ul>

<h3 id="Token_elements">Token elements</h3>

<ul>
 <li>{{MathMLElement("mglyph")}}</li>
 <li>{{MathMLElement("mi")}}</li>
 <li>{{MathMLElement("mn")}}</li>
 <li>{{MathMLElement("mo")}}</li>
 <li>{{MathMLElement("ms")}}</li>
 <li>{{MathMLElement("mspace")}}</li>
 <li>{{MathMLElement("mtext")}}</li>
</ul>

<h3 id="General_layout">General layout</h3>

<ul>
 <li>{{MathMLElement("menclose")}}</li>
 <li>{{MathMLElement("merror")}}</li>
 <li>{{MathMLElement("mfenced")}} {{deprecated_inline}}</li>
 <li>{{MathMLElement("mfrac")}}</li>
 <li>{{MathMLElement("mpadded")}}</li>
 <li>{{MathMLElement("mphantom")}}</li>
 <li>{{MathMLElement("mroot")}}</li>
 <li>{{MathMLElement("mrow")}}</li>
 <li>{{MathMLElement("msqrt")}}</li>
 <li>{{MathMLElement("mstyle")}}</li>
</ul>

<h3 id="Script_and_limit_elements">Script and limit elements</h3>

<ul>
 <li>{{MathMLElement("mmultiscripts")}}</li>
 <li>{{MathMLElement("mover")}}</li>
 <li>{{MathMLElement("mprescripts")}}</li>
 <li>{{MathMLElement("msub")}}</li>
 <li>{{MathMLElement("msubsup")}}</li>
 <li>{{MathMLElement("msup")}}</li>
 <li>{{MathMLElement("munder")}}</li>
 <li>{{MathMLElement("munderover")}}</li>
 <li>{{MathMLElement("none")}}</li>
</ul>

<h3 id="Tabular_math">Tabular math</h3>

<ul>
 <li>{{MathMLElement("maligngroup")}}</li>
 <li>{{MathMLElement("malignmark")}}</li>
 <li>{{MathMLElement("mlabeledtr")}}</li>
 <li>{{MathMLElement("mtable")}}</li>
 <li>{{MathMLElement("mtd")}}</li>
 <li>{{MathMLElement("mtr")}}</li>
</ul>

<h3 id="Elementary_math">Elementary math</h3>

<ul>
 <li>{{MathMLElement("mlongdiv")}}</li>
 <li>{{MathMLElement("mscarries")}}</li>
 <li>{{MathMLElement("mscarry")}}</li>
 <li>{{MathMLElement("msgroup")}}</li>
 <li>{{MathMLElement("msline")}}</li>
 <li>{{MathMLElement("msrow")}}</li>
 <li>{{MathMLElement("mstack")}}</li>
</ul>

<h3 id="Uncategorized_elements">Uncategorized elements</h3>

<ul>
 <li>{{MathMLElement("maction")}}</li>
</ul>

<h2 id="Semantic_annotations">Semantic annotations</h2>

<ul>
 <li><a href="/en-US/docs/Web/MathML/Element/semantics#annotation"><code>&lt;annotation&gt;</code></a></li>
 <li><a href="/en-US/docs/Web/MathML/Element/semantics#annotation-xml"><code>&lt;annotation-xml&gt;</code></a></li>
 <li>{{MathMLElement("semantics")}}</li>
</ul>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/MathML">MathML</a></li>
 <li><a href="/en-US/docs/Web/MathML/Attribute">MathML attribute reference</a></li>
</ul>
